import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { AccordionVariant, NsAccordionItem } from '../../';
import NsAccordionStory from './NsAccordion.stories';

type ComponentType = typeof NsAccordionItem;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Containers/Accordion/NsAccordionItem',
    component: NsAccordionItem,
    decorators: [withCenterDecorator],
    argTypes: {
        isOpen: {
            control: 'boolean',
            description: 'if true renders NsAccordionItem in open state, and close state otherwise',
        },
        content: {},
        title: {
            control: 'string',
            description: 'text used for header of section',
        },
        level: NsAccordionStory.argTypes.level,
        variant: NsAccordionStory.argTypes.variant,
    },
} as MetaStory;

export const OpenSection: Story = {
    args: {
        variant: AccordionVariant.Compact,
        isOpen: true,
        content: <div className="p-2">Nuskin Description</div>,
        title: 'Nuskin',
    },
};

export const ClosedSection: Story = {
    args: {
        variant: AccordionVariant.Compact,
        isOpen: false,
        content: <div className="p-2">Nuskin Description</div>,
        title: 'Nuskin',
    },
};
