import type { StoryObj, Meta } from '@storybook/react';
import { NsHeroCardLevel1 } from '../';

type ComponentType = typeof NsHeroCardLevel1;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsHeroCardLevel1,
    title: 'Components/Containers/Card/NsHeroCardLevel1',
} as MetaStory;

const host = 'https://media.nuskin.com/';

export const Default: Story = {
    args: {
        cardTitle: 'A skin ready for winter',
        cardDescription:
            'We have brought these discoveries to life through our powerful skin care products and supplements.',
        backgroundImageUrl: `${host}m/9734240cc191163/webimage-lash-brow-serum-carousel-image-launch.png`,
        backgroundImageAlt: 'lash brow serum carousel',
        button: {
            showButton: true,
            fullWidth: true,
            buttonText: 'SHOP NOW',
            buttonVariant: 'contained',
            buttonColor: 'primary',
            url: '#',
        },
        imagePosition: 'bottom',
    },
};
