import type { StoryObj, Meta } from '@storybook/react';
import { NsHeroCardLevel2 } from '../';

type ComponentType = typeof NsHeroCardLevel2;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsHeroCardLevel2,
    title: 'Components/Containers/Card/NsHeroCardLevel2',
} as MetaStory;

const host = 'https://media.nuskin.com/';

export const Default: Story = {
    args: {
        cardTitle: 'Current shop deals',
        cardDescription: 'Lumispa, sunscreen and more',
        brandName: 'Beauty focus™',
        backgroundImageUrl: `${host}m/5f1c423bb57589f0/webimage-autumn-sale-carousel.png`,
        backgroundImageAlt: 'lash brow serum carousel',
        button: {
            showButton: true,
            endIcon: 'arrowRight',
            buttonText: 'Discover more',
            buttonVariant: 'text',
            buttonColor: 'primary',
            url: 'https://www.forceforgood.org/',
        },
    },
};
