import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsXLargeCard } from '../';

type ComponentType = typeof NsXLargeCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsXLargeCard,
    title: 'Components/Containers/Card/NsXLargeCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

const host = 'https://media.nuskin.com';

export const Default: Story = {
    args: {
        title: 'Title',
        subtitle: 'Subtitle',
        backgroundImageUrl: `${host}/m/4f5b0aee8fe3ff90/Small-category-makeup.jpg`,
        backgroundImageAlt: 'Facial Moisturizers',
        button: {
            showButton: true,
            buttonText: 'Discover more',
            buttonVariant: 'outlined',
            buttonColor: 'secondary',
            url: '#',
            endIcon: 'home',
        },
    },
};
