import { AdditionalProps, CslpTag } from '../common.types';
import { NsIconNameType } from '../icon';

export type NsFfgCardProps = AdditionalProps & {
    topImageUrl: string;
    topImageAlt: string;
    text: string;
    cardLink: { href: string; title: string };
    onClick(): void;
    cslp?: {
        card_text: CslpTag;
        action_text: CslpTag;
    };
};

export type NsCardButton = {
    showButton?: boolean;
    fullWidth?: boolean;
    url?: string;
    endIcon?: NsIconNameType;
    buttonText: string;
    buttonVariant?: 'text' | 'outlined' | 'contained';
    buttonColor?: 'secondary' | 'primary';
    showArrowWithText?: boolean;
};
