import { Badge, Theme } from '@mui/material';
import { ColorUtils, FoundationTheme, styled } from '@nuskin/foundation-theme';

type ItemCountParams = {
    theme?: Theme;
    bgcolor: FoundationTheme.PaletteColors;
};
const { paletteColor } = ColorUtils;
export const StyledBadge = styled(Badge)<ItemCountParams>`
    & .MuiBadge-badge {
        cursor: pointer;
        background-color: ${({ bgcolor, theme }) => paletteColor(bgcolor)({ theme })};
        color: ${({ bgcolor, theme }) => paletteColor(bgcolor, 'contrastText')({ theme })};
    }
`;
