import { useMemo } from 'react';
import { getColumnSizes } from './utils';
import { StyledFlex } from './styled/StyledFlex';
import { NsFlexColumnsProps } from './types';

const NsFlexColumns = ({ columnClass, children, gap, additionalProps, isFullWidth }: NsFlexColumnsProps) => {
    const sizes = useMemo(() => {
        return getColumnSizes(columnClass ?? 'ns-col-lg-1-1');
    }, [columnClass]);
    return (
        <StyledFlex
            isFullWidth={isFullWidth || false}
            gap={gap}
            sizes={sizes}
            className="ns-flex-columns"
            data-testid={additionalProps?.testid ?? 'ns-flex-columns'}
        >
            {children}
        </StyledFlex>
    );
};
export default NsFlexColumns;
