import { ReactNode } from 'react';
import { FoundationTheme } from '@nuskin/foundation-theme';

import { AdditionalProps } from '../common.types';

export interface DropdownProps extends AdditionalProps {
    selectedLabel: ReactNode;
    onSelect: (arg: ReactNode) => void; // eslint-disable-line
    children: ReactNode[];
    disabled?: boolean;
    type?: 'outlined' | 'unfilled';
    placeholder?: string;
    dropdownBorderColor?: FoundationTheme.PaletteColors;
    closeOnMouseLeave?: boolean;
    showListDivider?: boolean;
    className?: string;
    placeholder?: string;
}

export interface DropdownOptionProps {
    value: string;
    children: ReactNode;
}
