import { render } from '@/test-utils/index';
import React from 'react';

import { NsFlag } from '../';

describe('FlagComponent', () => {
    it('1. renders a div element with background color and text', () => {
        const text = 'NU SKIN';
        const { getByText } = render(<NsFlag message="NU SKIN" color="accentColorA" />);
        const divElement = getByText(text);

        expect(divElement).toBeInTheDocument();
        expect(divElement).toHaveTextContent(text);
    });
    it('2. should render a flag with default size, color, and testId when only message prop is provided', () => {
        const props = {
            message: 'Test Message',
        };
        const { getByTestId } = render(<NsFlag {...props} />);
        const flag = getByTestId('ns-flag-component');
        expect(flag).toBeInTheDocument();
        expect(flag).toHaveStyle('height: 20px');
        expect(flag).toHaveStyle('color: #ffffff');
        expect(flag).toHaveStyle('background: #f56767');
        expect(flag).toHaveTextContent(props.message);
    });
});
