import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsFlag } from './';

type ComponentType = typeof NsFlag;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/NsFlag',
    component: NsFlag,
    decorators: [withCenterDecorator],
    argTypes: {
        color: { name: 'Color Variants' },
    },
    args: {
        message: 'Nuskin',
        color: 'accentColorA',
    },
} as MetaStory;

export const Flags: Story = {};
