import { FoundationTheme } from '@nuskin/foundation-theme';
import { HTMLProps } from 'react';

import { NsIconVariants } from '.';

export type NsIconSizeType = 'small' | 'medium' | 'large' | 'xLarge';

export type NsIconNameType = keyof typeof NsIconVariants;

export type NsIconProps = HTMLProps & {
    name: NsIconNameType;
    size?: NsIconSizeType;
    color?: FoundationTheme.PaletteColors;
    testId?: string;
    colorOverride?: string;
    cursor?:
        | 'auto'
        | 'default'
        | 'none'
        | 'context-menu'
        | 'help'
        | 'pointer'
        | 'progress'
        | 'wait'
        | 'cell'
        | 'crosshair'
        | 'text'
        | 'vertical-text'
        | 'alias'
        | 'copy'
        | 'move'
        | 'no-drop'
        | 'not-allowed'
        | 'grab'
        | 'grabbing'
        | 'e-resize'
        | 'n-resize'
        | 'ne-resize'
        | 'nw-resize'
        | 's-resize'
        | 'se-resize'
        | 'sw-resize'
        | 'w-resize'
        | 'ew-resize'
        | 'ns-resize'
        | 'nesw-resize'
        | 'nwse-resize'
        | 'col-resize'
        | 'row-resize'
        | 'all-scroll'
        | 'zoom-in'
        | 'zoom-out';
};
