import { NsIcon, NsIconNameType } from '../../';
import { StatusIconMap } from '../model/NsModalVariantMap';
import { NsModalComponentProps, NsModalVariant } from '../types';

const NsModalStatusIcon = ({ variant }: NsModalComponentProps) => {
    const iconName = variant ? StatusIconMap[variant] : null;
    return (
        <div className="status-icon">
            <NsIcon name={iconName as NsIconNameType} size="medium" color={variant as NsModalVariant} />
        </div>
    );
};

export default NsModalStatusIcon;
