import React from 'react';

import { NsTextStrip } from '@/common/';
import { render, screen } from '@testing-library/react';

describe('NsTextStrip component', () => {
    it('renders text description and link', () => {
        const description = 'Download the app to access everything Nike';
        const link = { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Free Delivery' };
        const { container } = render(<NsTextStrip link={link} description={description} />);
        const element = screen.getByText(link.title);
        expect(element).toBeInTheDocument();
        const descElement = screen.getByText(description);
        expect(descElement).toBeInTheDocument();
        const anchorElement = container.querySelector('a');
        expect(anchorElement).toHaveAttribute('href', link.href);
    });
    it('does not have anchor when link is undefined', () => {
        const description = 'Download the app to access everything Nike';
        let link = { title: 'Free Delivery' };
        render(<NsTextStrip link={link} description={description} />);
        const element = screen.getByText(link.title);
        expect(element).toBeInTheDocument();
        const descElement = screen.getByText(description);
        expect(descElement).toBeInTheDocument();
    });
});
